package hanson.xyz.vpnhotspotmod.util;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000\u001c\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\b\u0006\b\u0016\u0018\u0000*\u0004\b\u0000\u0010\u0001*\u0004\b\u0001\u0010\u00022 \u0012\u0004\u0012\u00020\u0004\u0012\u0016\u0012\u0014\u0012\u0004\u0012\u0002H\u0001\u0012\u0004\u0012\u0002H\u0002\u0012\u0004\u0012\u00020\u00060\u00050\u0003B\u0005\u00a2\u0006\u0002\u0010\u0007J\u001e\u0010\b\u001a\u00020\u00062\u0006\u0010\t\u001a\u00028\u00002\u0006\u0010\n\u001a\u00028\u0001H\u0086\u0002\u00a2\u0006\u0002\u0010\u000b\u00a8\u0006\f"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/Event2;", "T1", "T2", "Ljava/util/concurrent/ConcurrentHashMap;", "", "Lkotlin/Function2;", "", "()V", "invoke", "arg1", "arg2", "(Ljava/lang/Object;Ljava/lang/Object;)V", "mobile_freedomDebug"})
public class Event2<T1 extends java.lang.Object, T2 extends java.lang.Object> extends java.util.concurrent.ConcurrentHashMap<java.lang.Object, kotlin.jvm.functions.Function2<? super T1, ? super T2, ? extends kotlin.Unit>> {
    
    public Event2() {
        super();
    }
    
    public final void invoke(T1 arg1, T2 arg2) {
    }
    
    @java.lang.Override
    public final boolean containsValue(java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean containsValue(kotlin.jvm.functions.Function2<java.lang.Object, java.lang.Object, kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function2<T1, T2, kotlin.Unit>>> entrySet() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function2<java.lang.Object, java.lang.Object, kotlin.Unit>>> getEntries() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.lang.Object> getKeys() {
        return null;
    }
    
    @java.lang.Override
    public int getSize() {
        return 0;
    }
    
    @java.lang.Override
    public java.util.Collection<kotlin.jvm.functions.Function2<java.lang.Object, java.lang.Object, kotlin.Unit>> getValues() {
        return null;
    }
    
    @java.lang.Override
    public final java.util.Set<java.lang.Object> keySet() {
        return null;
    }
    
    @java.lang.Override
    public final boolean remove(java.lang.Object key, java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean remove(java.lang.Object key, kotlin.jvm.functions.Function2<java.lang.Object, java.lang.Object, kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final int size() {
        return 0;
    }
    
    @java.lang.Override
    public final java.util.Collection<kotlin.jvm.functions.Function2<T1, T2, kotlin.Unit>> values() {
        return null;
    }
}